package com.diagbot.dto;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:cy
 * @time: 2020/9/9 13:19
 */
@Getter
@Setter
public class MedicalCheckDTO extends Object {

    //科室名称
    private String deptName;

    //科室id
    private String deptId;

    //医生
    private String doctorName;

    //入院记录未24小时内
    private Integer ryjlw_24 = 0;

    //首次病程记录未8小时内
    private Integer scbcjlw_8h = 0;

    //副主任/主任医师首次查房72小时内未完成
    private Integer zrsccfw_72h = 0;

    //入院后未连记3天病程
    private Integer ryhljbcw_3d = 0;

    //每周未至少2次副主任/主任医师查房
    private Integer zrcfw_2w = 0;

    //每周未至少3次主治医师查房记录
    private Integer zzcfw_3w = 0;

    //抢救记录未6小时内完成
    private Integer qjjlw_6h = 0;

    //会诊记录在会诊申请后未24小时完成
    private Integer hzjlw_24h = 0;

    //术前讨论、术前小结未完成
    private Integer sqtlxjw = 0;

    //手术记录术后24小时内未完成
    private Integer sxjlsw_24h = 0;

    //术后首程在术后30分钟内未完成
    private Integer xhscw_30m = 0;

    //术后主刀查房24小时内未完成
    private Integer shzdcfw_24h = 0;

    //术后未连记3天病程
    private Integer shjbcw_3d = 0;

    //转科后未连记3天病程
    private Integer zkjbcw_3d = 0;

    //转接科记录专科后24小时内未完成
    private Integer zkjlw_24 = 0;

    //病危/重患者未每日记录病程
    private Integer bwzhjlbcw_md = 0;

    //输血后未完成输血记录
    private Integer sxhwjl = 0;

    //24小时未完成输血后评价
    private Integer sxpjw_24 = 0;

    //危急值未记录
    private Integer wjzwjl = 0;

    //住院30天未阶段小结
    private Integer wywwcxj = 0;
}
