package com.diagbot.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 住院病历信息
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
@Data
public class RecordContentDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 标准模块名称
     */
    private String standModelName;

    /**
     * 内容
     */
    private String contentText;

    /**
     * html内容
     */
    private String htmlText;
    /**
     * xml内容
     */
    private String xmlText;

    /**
     * 加密信息
     */
    private String contentBlob;

    /**
     * 医院文书标题
     */
    private String recTitle;

    /**
     * 医院文书id
     */
    private String recId;

    /**
     * 病历类别编号
     */
    private String recTypeId;

    /**
     * 模块id
     */
    private Long modeId;

}
