package com.diagbot.dto;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 质控评分结果信息
 * </p>
 *
 * @author zhoutg
 * @since 2020-04-13
 */
@Data
public class QcResultApiDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 等级
     */
    private String level;

    /**
     * 最后得分
     */
    private BigDecimal scoreRes;

}
