package com.diagbot.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.dto.CheckInfoDTO;
import com.diagbot.dto.DoctorAdviceDTO;
import com.diagbot.entity.DoctorAdvice;
import com.diagbot.entity.MedPacsInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.diagbot.vo.CheckInfoVO;
import com.diagbot.vo.DoctorAdviceVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author cy
 * @since 2020-09-04
 */
public interface MedPacsInfoMapper extends BaseMapper<MedPacsInfo> {

    Map<String,Object> getTime(@Param("behospitalCode") String behospitalCode);


    IPage<CheckInfoDTO> getCheckInfo(@Param("checkInfoVO") CheckInfoVO checkInfoVO, @Param("infos") Set<String> infos);

    List<String> getInfo(@Param("hospitalId") Long hospitalId, @Param("behospitalCode") String behospitalCode);

}
