package com.diagbot.service.impl;

import com.diagbot.dto.MedLisResultDTO;
import com.diagbot.entity.BehospitalInfo;
import com.diagbot.entity.MedPacsResult;
import com.diagbot.mapper.MedPacsResultMapper;
import com.diagbot.service.MedPacsResultService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zhoutg
 * @since 2020-08-04
 */
@Service
public class MedPacsResultServiceImpl extends ServiceImpl<MedPacsResultMapper, MedPacsResult> implements MedPacsResultService {
    @Override
    public List<MedPacsResult> getMedPacsResults(BehospitalInfo behospitalInfo) {
        return baseMapper.getMedPacsResults(behospitalInfo);
    }
}
