package com.diagbot.vo;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @description:
 * @author: zhoutg
 * @time: 2020/4/13 18:31
 */
@Data
public class AnalyzeRunVO {
    // 病历id
    @NotBlank(message = "behospitalCode不能为空")
    private String behospitalCode;
    // 医院ID
    @NotNull(message = "hospitalId不能为空")
    private Long hospitalId;
    // 模块id
    @NotNull(message = "modeId不能为空")
    private Long modeId;
    // 归档字段
    private String isPlacefile = "1";
}
