package com.diagbot.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2020/6/2 20:09
 */
@Getter
@Setter
public class ExportQcresultVO {
    /**
     * 入院时间开始时间
     */
    private Date behosDateStart;

    /**
     * 入院时间结束时间
     */
    private Date behosDateEnd;
    private Date leaveHosDateStart;
    private Date leaveHosDateEnd;
    @ApiModelProperty(hidden = true)
    private String hospitalId;
    @ApiModelProperty(hidden = true)
    private Long userId;

    private String behospitalCode;
    private String level;
    private String doctorName;
    private String doctorCode;
    private String deptId;
    private String name;
    private Integer checkStatus;
    private Integer mrStatus;
    private String chName;
    private String mrName;
    private Date chTimeStart;
    private Date chTimeEnd;
    private Date mrTimeStart;
    private Date mrTimeEnd;

    /**
     * 是否归档（0：未归档，1：已归档）
     */
    private String isPlacefile = "1";
}